SDL_GetGamepadPathForID(3)

NAME
SDL_GetGamepadPathForID - Get the implementation dependent path of a gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

const char * SDL_GetGamepadPathForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the path of the selected gamepad. If no path can be found, this function returns NULL; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadPath(3), SDL_GetGamepads(3)